|
|||||||||
| Home >> All >> org >> roller >> presentation >> tags >> [ menu overview ] | PREV CLASS NEXT CLASS | ||||||||
SUMMARY: JAVADOC | SOURCE | DOWNLOAD | NESTED | FIELD | CONSTR | METHOD |
DETAIL: FIELD | CONSTR | METHOD | ||||||||
org.roller.presentation.tags.menu
Class NavigationBarTag

java.lang.Objectjavax.servlet.jsp.tagext.TagSupport
org.roller.presentation.tags.HybridTag
org.roller.presentation.tags.menu.NavigationBarTag
- All Implemented Interfaces:
- javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, java.io.Serializable, javax.servlet.jsp.tagext.Tag
- public class NavigationBarTag
- extends org.roller.presentation.tags.HybridTag
Draws the most complete possible Roller navigation bar based on request parameters userName, folderId and authenticated user (if there is one).
| Field Summary | |
private java.lang.String |
mDelimiter
|
private static org.apache.commons.logging.Log |
mLogger
|
private boolean |
mVertical
|
| Fields inherited from class javax.servlet.jsp.tagext.TagSupport |
id, pageContext |
| Fields inherited from interface javax.servlet.jsp.tagext.IterationTag |
EVAL_BODY_AGAIN |
| Fields inherited from interface javax.servlet.jsp.tagext.Tag |
EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE |
| Constructor Summary | |
NavigationBarTag()
|
|
| Method Summary | |
int |
doStartTag(java.io.PrintWriter pw)
Process start tag |
java.lang.String |
getDelimiter()
|
boolean |
getVertical()
|
void |
setDelimiter(java.lang.String v)
|
void |
setVertical(boolean v)
|
java.lang.String |
view(boolean isVertical)
|
| Methods inherited from class org.roller.presentation.tags.HybridTag |
doEndTag, doEndTag, doStartTag, emit, toString |
| Methods inherited from class javax.servlet.jsp.tagext.TagSupport |
doAfterBody, findAncestorWithClass, getId, getParent, getValue, getValues, release, removeValue, setId, setPageContext, setParent, setValue |
| Methods inherited from class java.lang.Object |
clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait |
| Field Detail |
mLogger
private static org.apache.commons.logging.Log mLogger
mVertical
private boolean mVertical
mDelimiter
private java.lang.String mDelimiter
| Constructor Detail |
NavigationBarTag
public NavigationBarTag()
| Method Detail |
getVertical
public boolean getVertical()
setVertical
public void setVertical(boolean v)
getDelimiter
public java.lang.String getDelimiter()
setDelimiter
public void setDelimiter(java.lang.String v)
view
public java.lang.String view(boolean isVertical)
doStartTag
public int doStartTag(java.io.PrintWriter pw) throws javax.servlet.jsp.JspException
- Process start tag
|
|||||||||
| Home >> All >> org >> roller >> presentation >> tags >> [ menu overview ] | PREV CLASS NEXT CLASS | ||||||||
SUMMARY: JAVADOC | SOURCE | DOWNLOAD | NESTED | FIELD | CONSTR | METHOD |
DETAIL: FIELD | CONSTR | METHOD | ||||||||
JAVADOC